de.esprit.netsuite.server.config

## Class ServerConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig
      - - de.esprit.netsuite.server.config.ServerConfig

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ServerConfig
      extends ApplicationConfig

  This class encapsulates the main server parameters read from the config-directory. It contains the information stored in the configuration files srvStartup.cfg and srvParams.cfg.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServerHost` | `defaultServerHost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfig(ServerCommandLineParser clp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractServerConfiguration` | `createDefaultServerConfigMap(java.io.File workspaceDir)`
    `protected ServerParams` | `createServerParams()`
    `protected ServerStartup` | `createServerStartup()`
    `java.io.File` | `getConfigDir()`
    `java.io.File` | `getDataDir()`
    `java.io.File` | `getHistoryDir()`
    `java.io.File` | `getLogDir()` Returns the given logDir, null if not specified.
    `ServerParams` | `getServerParams()`
    `ServerStartup` | `getServerStartup()`
    `java.io.File` | `getTaskDir()`
    `java.io.File` | `getWebDir()`
    `java.io.File` | `getWorkspaceDir()`
    `boolean` | `isPrintVersionOnly()`
    `boolean` | `isShutdown()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `getApplicationName, getCustomVersion, getEspritVersion, getStartLogLevel, getStartLogLevel, isDemoMode, isLogToFile, isNoConsoleLog, isTestMode`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### defaultServerHost

          public static final ServerHost defaultServerHost

  - ### Constructor Detail

    - #### ServerConfig

          public ServerConfig(ServerCommandLineParser clp)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### createDefaultServerConfigMap

          protected AbstractServerConfiguration createDefaultServerConfigMap(java.io.File workspaceDir)

    - #### getWorkspaceDir

          public java.io.File getWorkspaceDir()

    - #### getConfigDir

          public java.io.File getConfigDir()

    - #### getDataDir

          public java.io.File getDataDir()

    - #### getLogDir

          public java.io.File getLogDir()

      Description copied from class: `ApplicationConfig`
      Returns the given logDir, null if not specified.
      Overrides:
        `getLogDir` in class `ApplicationConfig`

    - #### getTaskDir

          public java.io.File getTaskDir()

    - #### getHistoryDir

          public java.io.File getHistoryDir()

    - #### getWebDir

          public java.io.File getWebDir()

    - #### isPrintVersionOnly

          public boolean isPrintVersionOnly()

      Overrides:
        `isPrintVersionOnly` in class `ApplicationConfig`

    - #### isShutdown

          public boolean isShutdown()

    - #### getServerParams

          public ServerParams getServerParams()

    - #### getServerStartup

          public ServerStartup getServerStartup()

    - #### createServerStartup

          protected ServerStartup createServerStartup()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createServerParams

          protected ServerParams createServerParams()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `ApplicationConfig`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `ApplicationConfig`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.